package jp.sf.amateras.rdiffbackup.util;

import java.util.Comparator;

import jp.sf.amateras.rdiffbackup.dto.FileDto;

/**
 * {@link FileDto}をソートするための<code>Comparator</code>実装です。
 *
 * @author Naoki Takezoe
 */
public class FileDtoComparator implements Comparator<FileDto> {

	@Override
	public int compare(FileDto o1, FileDto o2) {
		if(!o1.isFile && o2.isFile){
			return -1;
		}

		if(o1.isFile && !o2.isFile){
			return 1;
		}

		return o1.name.compareTo(o2.name);
	}

}
